Subject: RE: [AVT] Proposal for update of AVT charter and milestones

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 19 Jan 2005 17:13:06 +0200

Magnus,

A couple of observations:

- there is no milestone for the RTCP XR MIB
- the RTP MIB milestone reads:
Nov 05	  	Submit update of RTP MIB for Draft Standard
In order to advance a MIB document from Proposed to Draft you need to prove that at least two interoperable implementations of RFC 2959 exist, and that the changes that need to be brought to RFC 2959 are mostly editorial clarifications without for example adding new MIB objects or changing the semantics of existing MIB objects. We had discussions in the WG and with the Area Directors concerning an update of the RTP MIB in order to make sure that it is in synch with RFC 3550. This may or may not result in a document that can be advanced to Draft Standard, according to the level of changes that need to be brought to RFC 2959. I would be more careful and define the goal as being to synchronize the RTP MIB with RFC 3550, and the result of the work as recycling to Proposed or advancing to Draft, because it is not clear by now that this can be reached in one step. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Magnus Westerlund
> Sent: 18 January, 2005 10:40 AM
> To: IETF AVT WG
> Subject: [AVT] Proposal for update of AVT charter and milestones
> 
> 
> Hi,
> 
> AVT is in need for an updated charter and milestones. Below is the 
> proposal for these items. Please comment on these before 
> Wednesday 26th 
> of January.
> 
> Cheers
> 
> Magnus
> 
> --- Charter proposal begins -----
> 
> The Audio/Video Transport Working Group was formed to specify a
> protocol for real-time transmission of audio and video over unicast
> and multicast UDP/IP. This is the Real-time Transport Protocol, RTP,
> together with its associated profiles and payload formats. The
> current aims of the working group are:
> 
> - to review and revise existing payload formats to advance those
>    which are useful to Draft Standard, and to declare others
>    as Historic. Milestones will be established as a champion for
>    each payload format is identified.
> 
> - to develop payload formats for new media codecs, and to
>    document best-current practices in payload format design.
>    The group continues to be precluded from work on codecs
>    themselves because of overlap with the other standards
>    bodies, and because the IETF does not have the ability
>    to effectively review new codecs. An exception was made
>    for the freeware iLBC codec on a highly experimental basis,
>    but acceptance of new codec work is unexpected and subject
>    to rechartering.
> 
> - to complete the forward error correction work to update
>    RFC 2733 in the form of the ULP payload format
> 
> - to investigate and if suitable develop a framework for advanced
>    FEC codes and their usage for RTP, possibly with alignment to
>    the RMT WG's FEC building block.
> 
> - to extend RTP to work with Source-Specific Multicast sessions
>    with unicast feedback
> 
> - to provide a framing mechanism for RTP over TCP and TLS
> 
> - to in collaboration with the MPLS and ROHC WG develop a solution
>    for header compression of RTP across MPLS networks that avoid
>    decompression and compression at each MPLS node.
> 
> - to develop a new RTP profile as the combination of the SRTP
>    profile and the Extended RTP Profile for RTCP-based Feedback
>    (RTP/SAVPF)
> 
> - to develop an new experimental RTP profile for usage of TFRC
>    (RFC 3448) with RTP over UDP to allow application developers
>    to gain experience with TCP friendly congestion control.
> 
> - to develop an MIB for RTCP XR (RFC 3611).
> 
> The longer term goals of the working group are to advance the
> SRTP Profile, the Extended RTP Profile for RTCP-based Feedback,
> the Compressed RTP framework, and the RTP MIB to Draft Standard.
> 
> The group has no plans to develop new RTP profiles beyond those
> listed above, but will consider rechartering to produce profile
> level extensions if appropriate.
> 
> 
> Goals and Milestones:
> 
> May 05	  	Submit RTP/SAVPF profile for Proposed Standard
> May 05	  	Submit RTCP/SSM draft for Proposed Standard
> Nov 05	  	Submit ULP Payload Format for Proposed Standard
> Nov 05	  	Submit Framing of RTP for TLS for 
> Proposed Standard
> Nov 05	  	Submit update of RTP MIB for Draft Standard
> Nov 05 		Submit RTP Profile for TFRC for 
> Experimental Status
> Nov 05	  	Finished investigation of advanced FEC 
> codes for RTP, update plan
> Dec 05		Submit any extensions for RTP HC on 
> MPLS networks for Proposed 
> Standard
> Mar 06	  	Submit SRTP for Draft Standard
> Sep 06	  	Submit RTP/AVPF for Draft Standard
> 
> 
> ----- Charter proposal ends ----
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 19 Jan 2005 17:19:40 +0100

Thanks Dan,

Yes, you are correct that it isn't obvious that we can go to draft with 
the RTP MIB, we may need to republish it as an proposed standard.

I propose the following change:

1. Add to the chart list:

- to update the RTP MIB, including aligning it with RFC 3550.

2. Reformulate the Milestone:

Nov 05	  	Submit update of RTP MIB for Proposed or Draft Standard

In regards to a milestone for RTCP XR MIB I will discuss this with the 
authors.

Cheers

Magnus

-- 

Magnus Westerlund